﻿@model WebbApp.Models.Auth.LoginViewModel;

@section google_signin{
    <meta name="google-signin-scope" content="profile email">
    <meta name="google-signin-client_id" content="651691815121-6nftmg6c55j2ftja4lf2atr43spnb2gj.apps.googleusercontent.com">
    <script src="https://apis.google.com/js/platform.js" async defer></script>
}


<div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

        <div class="col-xl-10 col-lg-12 col-md-9">

            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Welcome Back!</h1>
                                </div>
                                <div class="btn btn-block" id="google-login-button"></div>
                                <hr>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>

    <form asp-controller="Auth" asp-action="LoginProcess" class="d-none" id="form-login">
        <input asp-for=@Model.LoginType value="GOOGLE" class="form-control" />
        <input asp-for=@Model.AccessToken id="access-token" class="form-control" />
    </form>

</div>

@section google_signin_script{
    <script src="https://apis.google.com/js/platform.js" async defer></script>
    <script>
        window.onbeforeunload = function(e){
            gapi.auth2.getAuthInstance().signOut();
        };

        $(document).ready(function () {
            console.log("login  !!!")
            window.gapi.load('client:auth2', () => {
                window.gapi.client.init({
                    clientId: '651691815121-6nftmg6c55j2ftja4lf2atr43spnb2gj.apps.googleusercontent.com',
                    scope: 'profile email',
                    plugin_name: 'chat',
                    'isSignedIn': false,
                    'is_signed_in': false
                })
                //gapi.auth2.getAuthInstance().disconnect().then(function () {console.log("signout google")})
            });
            renderGoogleSigninButton();
        });
     
        function onSuccess(googleUser) {
            
            document.querySelector("[id='access-token']").value = googleUser.Bc['access_token']; 
            
            setTimeout(() => { 
                document.querySelector("[id='form-login']").submit();
            }, 100);
        }

        function onFailure(error) {
          console.log(error);
        }

        function renderGoogleSigninButton() {
            gapi.signin2.render('google-login-button', {
                'scope': 'profile email',
                'width': 240,
                'height': 50,
                'longtitle': true,  
                'theme': 'dark',
                'onsuccess': onSuccess,
                'onfailure': onFailure,
                'policy':'single_host_origin',
                'isSignedIn': false,
                'is_signed_in': false
            });
            
        }
  </script>

  @*<script src="https://apis.google.com/js/platform.js?onload=renderGoogleSigninButton" async defer></script>*@
}